Bug 57752 - Can't edit an existing firewall configuration
Can't edit an existing firewall configuration
Product: Red Hat Linux
Classification: Retired
Component: firewall-config (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2001-12-20 18:10 EST by Louis Berube
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-12-20 18:10:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Louis Berube 2001-12-20 18:10:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i686)

Description of problem:
I cannot find a way to use this tool to edit a firewall configuration that
already exists in /etc/sysconfig/ipchains. (Since the Help dialog says that
it stores its results into that file, I assume that it should be able to
load the contents for editing). The tool starts with an empty set of rules,
whether or not there is a file name argument given when starting the tool.
No "File" button, no change when clicking the "Default" button, no
information in the Help dialog, nada.

I have verified that the file does exist, and has configuration
information. The existing contents were generated (I believe) when I
installed the system.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Start with a system with firewall information configured from system
2.Invoke firewall-config, with or without an argument


Actual Results:  The dialog window comes up with no existing rules shown.

Additional info:
Comment 1 Harald Hoyer 2002-01-08 09:25:37 EST
it does store the values in /etc/sysconfig/ipchains, but do to a subset of 
commands the GUI version is read/written to/from /etc/sysconfig/firewall.

For 8.0 there will be a ipchains converter and an iptables config tool which 
will give you full editing of /etc/sysconfig/iptables...

Sorry... maybe gnome-lokkit is what you are looking for?

Note You need to log in before you can comment on or make changes to this bug.